Subject: [Softwires] Early MIB doctor review of draft-ietf-softwire-dslite-mib-03

From: Dave Thaler <[email-masked]>
Date: Sat, 5 Oct 2013 00:43:19 +0000

Benoit asked me to do an early MIB doctor review of this document.  My
full comments are in the marked up copy at
http://research.microsoft.com/~dthaler/draft-ietf-softwire-dslite-mib-03.pdf
(there’s also a .docx version if you replace the .pdf extension with .docx)

I’ve also cc’ed the behave WG on this mail since many of my comments concern
the relationship between draft-ietf-behave-nat-mib  and the translation parts of
this draft.

A short summary of the high level issues in my review is:

1)      The doc is not aligned with draft-ietf-behave-nat-mib.  It currently continues

some practices that we’re trying to deprecate as discussed in section 3.1 of

draft-ietf-behave-nat-mib.

2)      Boilerplate needs to be updated to match latest MIB boilerplate (see inline

comments for pointers).

3)      Any InetPortNumber object allowing 0 needs to explain what 0 means in that

object, as required by RFC 4001.

4)      Draft currently requires write support in all implementations.  Recommend

having a read-only compliance statement since nowadays many folks don’t

want write support via MIBs.

-Dave

---

From: Sheng Jiang <[email-masked]>
Date: Wed, 9 Oct 2013 10:01:08 +0000

Hi, Dave,

Thanks so much for your review. We are working on your comments and will make an update version in one or two week time. When the new version ready, we will write to you privately for confirmation whether your comments have been properly addressed.

Best regards,

Sheng

From: [email-masked] [mailto:[email-masked]] On Behalf Of Dave Thaler
Sent: Saturday, October 05, 2013 8:43 AM
To: [email-masked]
Cc: Benoit Claise; [email-masked]
Subject: [Softwires] Early MIB doctor review of draft-ietf-softwire-dslite-mib-03

comments for pointers).

-Dave